package com.bytedance.android.livesdk.livesetting.other.subscribe;

import X.2L0;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("mt_live_subscription")
public final class LiveSubscriptionSetting {
    @Group(isDefault = true, value = "default group")
    public static final 2L0 DEFAULT = new 2L0((byte) 0);
    public static final LiveSubscriptionSetting INSTANCE = new LiveSubscriptionSetting();

    public final 2L0 getValue() {
        2L0 r0 = (2L0) SettingsManager.INSTANCE.getValueSafely(LiveSubscriptionSetting.class);
        if (r0 == null) {
            return DEFAULT;
        }
        return r0;
    }

    static {
        Covode.recordClassIndex(18115);
    }
}
